Subject: Re: [ANNOUNCE] Git v2.0.0

From: NeilBrown <[email-masked]>
Date: Tue, 3 Jun 2014 21:46:25 +1000

On Mon, 2 Jun 2014 19:59:53 -0700 Linus Torvalds
<[email-masked]> wrote:

> On Mon, Jun 2, 2014 at 7:08 PM, NeilBrown <[email-masked]> wrote:
> >
> >   git request-pull master git://neil.brown.name/md
> >
> > after tagging the current commit as "md/3.15-fixes" and pushing out the tag
> 
> You should *tell* "git request-pull" what you're actually requesting to pull.
> 
> The old "let's guess based on the commit at the top of your tree" may
> have worked for you (because you only ever had one matching thing),
> but it did not work in general.
> 
> So the new "git request-pull" does not guess. If you want to request a
> tag to be pulled, you name it.  Because if you don't name it, it now
> defaults to HEAD (like all other git log commands) rather than
> guessing. So please write it as
> 
>    git request-pull master git://neil.brown.name/md md/3.15-fixes
> 
> I guess the man-page should be made more explicit about this too.
> 
>               Linus

OK, thanks.   I guess I can live with being a bit more explicit.

NeilBrown